Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core
Interface ILaunchConfigurationWorkingCopy

All Superinterfaces:
  IAdaptable, ILaunchConfiguration

public interface ILaunchConfigurationWorkingCopy
extends ILaunchConfiguration, IAdaptable

An editable copy of a launch configuration. Attributes of a launch configuration are modified by modifying the attributes of a working copy, and then saving the working copy.

This interface is not intended to be implemented by clients. Clients that define a launch configuration delegate extension implement the `ILaunchConfigurationDelegate` interface.

Since:
  2.0
See Also:
  `ILaunchConfiguration`, `ILaunchConfigurationType`, `ILaunchConfigurationDelegate`

Field Summary

Fields inherited from interface org.eclipse.debug.core.ILaunchConfiguration
`ATTR_SOURCE_LOCATOR_ID, ATTR_SOURCE_LOCATOR_MEMENTO, LAUNCH_CONFIGURATION_FILE_EXTENSION`

Method Summary
`ILaunchConfiguration` | `doSave()` Saves this working copy to its underlying file and returns a handle to the resulting launch configuration.
`ILaunchConfiguration` | `getOriginal()` Returns the original launch configuration this working copy was created from, or `null` if this is a new working copy created from a launch configuration type.
`boolean` | `isDirty()` Returns whether this configuration has been modified since it was last saved or created.
`void` | `rename(String name)` Renames this launch configuration to the specified name.
`void` | `setAttribute(String attributeName, boolean value)` Sets the boolean-valued attribute with the given name.
`void` | `setAttribute(String attributeName, int value)` Sets the integer-valued attribute with the given name.
`void` | `setAttribute(String attributeName, List value)` Sets the `java.util.List`-valued attribute with the given name.
`void` | `setAttribute(String attributeName, Map value)` Sets the `java.util.Map`-valued attribute with the given name.
`void` | `setAttribute(String attributeName, String value)` Sets the String-valued attribute with the given name.
`void` | `setAttributes(Map attributes)` Sets the attributes of this launch configuration to be the ones contained in the given map.
`void` | `setContainer(IContainer container)` Sets the container this launch configuration will be stored in when saved.

Methods inherited from interface org.eclipse.debug.core.ILaunchConfiguration
`contentsEqual, copy, delete, exists, getAttribute, getAttribute, getAttribute, getAttribute, getAttribute, getAttributes, getCategory, getFile, getLocation, getMemento, getName, getType, getWorkingCopy, isLocal, isWorkingCopy, launch, launch, supportsMode`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### isDirty

    public boolean isDirty()

  Returns whether this configuration has been modified since it was last saved or created.

  Returns:
    whether this configuration has been modified since it was last saved or created

### doSave

    public ILaunchConfiguration doSave()
                                throws CoreException

  Saves this working copy to its underlying file and returns a handle to the resulting launch configuration. Has no effect if this configuration does not need saving. Creates the underlying file if not yet created.

  Throws:
    `CoreException` - if an exception occurs while writing this configuration to its underlying file.

### setAttribute

    public void setAttribute(String attributeName,
                             int value)

  Sets the integer-valued attribute with the given name.

  Parameters:
    `attributeName` - the name of the attribute, cannot be `null`
    `value` - the value

### setAttribute

    public void setAttribute(String attributeName,
                             String value)

  Sets the String-valued attribute with the given name. If the value is `null`, the attribute is removed from this launch configuration.

  Parameters:
    `attributeName` - the name of the attribute, cannot be `null`
    `value` - the value, or `null` if the attribute is to be undefined

### setAttribute

    public void setAttribute(String attributeName,
                             List value)

  Sets the `java.util.List`-valued attribute with the given name. The specified List must contain only String-valued entries. If the value is `null`, the attribute is removed from this launch configuration.

  Parameters:
    `attributeName` - the name of the attribute, cannot be `null`
    `value` - the value, or `null` if the attribute is to be undefined

### setAttribute

    public void setAttribute(String attributeName,
                             Map value)

  Sets the `java.util.Map`-valued attribute with the given name. The specified Map must contain only String keys and String values. If the value is `null`, the attribute is removed from this launch configuration.

  Parameters:
    `attributeName` - the name of the attribute, cannot be `null`
    `value` - the value, or `null` if the attribute is to be undefined

### setAttribute

    public void setAttribute(String attributeName,
                             boolean value)

  Sets the boolean-valued attribute with the given name.

  Parameters:
    `attributeName` - the name of the attribute, cannot be `null`
    `value` - the value

### getOriginal

    public ILaunchConfiguration getOriginal()

  Returns the original launch configuration this working copy was created from, or `null` if this is a new working copy created from a launch configuration type.

  Returns:
    the original launch configuration, or `null`

### rename

    public void rename(String name)

  Renames this launch configuration to the specified name. The new name cannot be `null`. Has no effect if the name is the same as the current name. If this working copy is based on an existing launch configuration, this will cause the underlying launch configuration file to be renamed when this working copy is saved.

  Parameters:
    `name` - the new name for this configuration

### setContainer

    public void setContainer(IContainer container)

  Sets the container this launch configuration will be stored in when saved. When set to `null`, this configuration will be stored locally with the workspace. The specified container must exist, if specified.

  If this configuration is changed from local to non-local, a file will be created in the specified container when saved. The local file associated with this configuration will be deleted.

  If this configuration is changed from non-local to local, a file will be created locally when saved. The original file associated with this configuration in the workspace will be deleted.

  Parameters:
    `container` - the container in which to store this launch configuration, or `null` if this configuration is to be stored locally

### setAttributes

    public void setAttributes(Map attributes)

  Sets the attributes of this launch configuration to be the ones contained in the given map. The values must be an instance of one of the following classes: `String`, `Integer`, or `Boolean`, `List`, `Map`. Attributes previously set on this launch configuration but not included in the given map are considered to be removals. Setting the given map to be `null` is equivalent to removing all attributes.

  Parameters:
    `attributes` - a map of attribute names to attribute values. Attribute names are not allowed to be `null`
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.